=== ChangeLog discontinued ===
ChangeLog has been discontinued, we autogenerate the ChangeLog from git logs

=== 0.14.0 ===
2009-03-17  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* NEWS: Update.

	* configure.ac: bump version number to 0.14.0
	
	* docs/Makefile.am: use variable PYGOBJECT_PYGDOCS instead of
	hardcoding the path.
	
	* docs/reference/pygoocanvas-ellipse.xml
	* docs/reference/pygoocanvas-polyline.xml
	* docs/reference/pygoocanvas-group.xml
	* docs/reference/pygoocanvas-path.xml
	* docs/reference/pygoocanvas-item.xml
	* docs/reference/pygoocanvas-widget.xml
	* docs/reference/pygoocanvas-text.xml: update docs to the new goocanvas
	API, some random fixes.

2008-12-30  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* demo/simple_demo/demo.py: Add an export SVG function.

2008-12-30  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* docs/reference/pygoocanvas-canvas.xml: Fix a typo in canvas signal.

2008-12-28  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* docs/reference/pygoocanvas-item.xml: Fix a couple of typos in signals.

2008-12-27  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* configure.ac: post release version bump to 0.13.2

=== 0.13.1 ===
2008-12-27  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* NEWS: Update.

	* configure.ac: bump version number to 0.13.1

2008-12-27  Gian Mario Tagliaretti  <gianmt@gnome.org>

	Bug 565710 – usage example of goocanvas.Text is wrong

	* docs/reference/pygoocanvas-text.xml:
	* docs/reference/pygoocanvas-text-model.xml: Fix a bug in sample code,
	patch by: Felipe Reyes.

	* tests/test_grid_item.py: Add new test for grid item.

2008-12-08  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* demo/simple_demo/demo.py: Workaround a bug in pycairo, fix by
	Gustavo J. A. M. Carneiro.

2008-12-08  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.override: ignore canvas constructor, we use
	gobject.New also for the canvas, so we can easily set properties.

2008-12-07  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* demo/simple_demo/demo.py: Add example for static item and grid,
	fix some code in demo.

2008-12-06  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.override: ignore grid constructors.

2008-12-06  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* demo/simple_demo/table_demo.py:
	* demo/simple_demo/demo.py:
	Include table_demo into a notebook page of demo.py

=== 0.13.0 ===
2008-11-30  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* NEWS: Update.

	* configure.ac: bump version number to 0.13.0

	* docs/reference/pygoocanvas-canvas.xml:
	* docs/reference/pygoocanvas-grid.xml: Update docs.

2008-11-23  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* docs/reference/pygoocanvas-text.xml: fix method name.

2008-11-17  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* docs/reference/pygoocanvas-item.xml: add animation-finished signal

2008-11-14  Armin Burgmeier  <armin@arbur.net>

	* acinclude.m4: Obtain flags for linking against python. This is
	required on Windows, since shared libraries are not allowed to contain
	undefined references.

	* Makefile.am: Added the -no-undefined flag to ldflags to create a
	shared library on Windows, and rename the resulting file to .pyd,
	since python modules must end on .pyd on Windows (even though they are
	actually DLL files).

2008-11-07  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* docs/reference/pygoocanvas-grid.xml:
	* docs/reference/pygoocanvas-grid-model.xml: Add docs for the new grid
	item and model

	* docs/Makefile.am:
	* docs/reference/pygoocanvas-ellipse-model.xml:
	* docs/reference/pygoocanvas-std-items.xml:
	* docs/reference/pygoocanvas-canvas.xml:
	* docs/reference/pygoocanvas-ref.xml:
	* docs/reference/pygoocanvas-hierarchy.xml:
	* docs/reference/pygoocanvas-model-items.xml:
	Update docs with new API.

2008-11-06  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.defs: (request_item_redraw)
        (convert_bounds_to_item_space)
        (get_static_root_item)
        (set_static_root_item)
        (get_static_root_item_model)
        (set_static_root_item_model)
        add new goocanvas.Canvas methods

2008-11-06  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.defs: add goocanvas.Grid and GridModel

=== 0.12.0 ===
2008-06-03  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* demo/swfdec-demo: play (and drag around...) a flash file
	into a canvas item.

2008-06-01  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* tests/*: add unit tests.

2008-05-31  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* docs/Makefile.am: make ENABLE_DOCS actually work.

2008-05-29  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.override: (goo_canvas_create_cairo_context)
	Manually wrap, fix a bad API change in Pycairo.

2008-05-29  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* docs/reference/pygoocanvas-item.xml: Fix docs for the method
	set_child_property.

2008-05-23  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.override: (goo_canvas_item_model_set_transform)
	Manually wrap, is now possible to use None to unset the matrix.

	* demo/simple_demo/demo.py: Test the above.

2008-05-23  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.override: (goo_canvas_item_set_transform)
	Manually wrap, is now possible to use None to unset the matrix.

	* demo/simple_demo/demo.py: Test the above.

2008-05-22  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.override: (goo_canvas_item_get_transform_for_child)
	Manually wrap.

	* docs/reference/pygoocanvas-item.xml: update the docs accordingly.

2008-05-22  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.override: (goo_canvas_item_get_requested_area)
	(goo_canvas_item_update) Manually wrap.

	* docs/reference/pygoocanvas-item.xml: update the docs.

2008-05-18  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* demo/misc/gradient-demo-py:
	add a gradient demo to test fill_pattern.

2008-05-14  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* docs/reference/pygoocanvas-misc.xml:
	docs for goocanvas.Points fields.

2008-05-13  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.defs:
	* goocanvas.override: wrap goocanvas.Points fields,
	reported by Bruno Coudoin.

2008-05-01  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* configure.ac: bump version to 0.10.1.

=== 0.10.0 ===
2008-05-01  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* NEWS: Updated

2008-05-01  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* docs/reference/pygoocanvas-item-model.xml
	* docs/reference/pygoocanvas-item-simple.xml
	* docs/reference/pygoocanvas-item.xml
	* docs/reference/pygoocanvas-canvas.xml
	* docs/reference/pygoocanvas-text.xml
	* docs/reference/pygoocanvas-table.xml
	docs updated.

2008-04-29  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.override:
	(goo_canvas_text_get_natural_extents)
	(goo_canvas_item_get_simple_transform)
	(goo_canvas_item_model_get_simple_transform)
	(goo_canvas_item_set_child_property)
	(goo_canvas_item_get_child_property)
	(goo_canvas_item_model_set_child_property)
	(goo_canvas_item_model_get_child_property)
	manually wrap the above methods.

2008-04-27  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* configure.ac bump version to 0.10.0 and require goocanvas 0.10.

	* goocanvas.defs: update with new API.

	* goocanvas.override:
	* argtypes.py: fix a bug introduced by pycairo API change, see
	LP bug #222503 reported by David Boucher.


2007-11-19  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* demo/customs/custom-svg.py: New custom example for SVG images.

2007-11-15  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvasmodule.c: fix object registration TYPE_CAIRO_PATTERN.

2007-10-07  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvasmodule.c: apply a patch to prevent PYGTK from being imported
	into goocanvasmodule, patch from Randall Wood Fixes LP#150412.

2007-10-07  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* Makefile.am:
	* configure.ac:
	* pygoocanvas.pc.in: Install a .pc file.

	* goocanvas.override: include config.h so that with recent
	pygtk-codegen we get a __version__ attribute on the module defined
	for free.

	* configure.ac bump version to 0.9.1.

	* goocanvas.defs:
	* goocanvas.override: Add goocanvas.ItemSimple.bounds getsets.

=== 0.9.0 ===
2007-08-18  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* NEWS: Update.

	* configure.ac bump version to 0.9.0 and require goocanvas 0.9

2007-08-04  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* docs/reference/goocanvas.xml: add new properties.

	* docs/reference/goocanvas-item-simple.xml: document get_line_width

	* docs/reference/goocanvas-item.xml: fix docs for get_bounds.

2007-08-04  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.defs: add goocanvas.ItemSimple.get_line_width

2007-08-03  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* configure.ac: fix compilation on Solaris, patch by
	JerryYu <jijun.yu@sun.com>. Fixes LP#130106

2007-04-07  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.override: manually wrap goo_canvas_item_get_bounds,
	set noargs to goo_canvas_get_bounds.

=== 0.8.0 ===
2007-04-03  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* NEWS: Update.

	* configure.ac bump version to 0.8.0 and require goocanvas 0.8

2007-04-03  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* arg-types.py: Register some const-GooCanvasBounds* argtypes.

	* goocanvas.defs (allocate_area): Add consts to follow goocanvas API.

2007-03-24  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* demo/simple_demo/demo.py: fix ellipse animation
	by proppy@gmail.com fixes LP#95468

2007-03-23  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* demo/Makefile.am: small fixes
	* configure.ac: bump to version 0.7.0 and require goocanvas 0.7
	but I don't fire a release (still require goocanvas from CVS to compile)
	* demo/mv_demo/mv_animation_demo.py: new example

2007-03-18  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* demo/mv_demo/mv_clipping_demo.py: new example
	* demo/simple_demo/clipping_demo.py: small fix
	* demo/* updated examples with new paths

2007-03-18  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* demo/*: restructured demo directories, now it's cleaner
	* demo/mv_demo/mv_animation_demo.py: new example

2007-03-11  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* demo/demo.py: some updating
	* demo/table_demo.py: testing new API and properties

2007-03-11  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* docs/reference/*: some fixes on docs and updating to the new api.

2007-03-10  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* docs/reference/pygoocanvas-style.xml: new
	* docs/reference/*: minor fixes on docs

2007-03-09  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.defs: add new API goo_canvas_item_remove and
	goo_canvas_item_model_remove

2007-03-08  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.defs: add new API goo_canvas_create_cairo_context and
	goo_canvas_item_get_requested_height

2007-03-06  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* demo/units-demo.py: new example
	* demo/Makefile.am: add units-demo.py

2007-03-06  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* demo/animation_demo.py: new example
	* demo/demo.py: add new example animation_demo.py
	* demo/Makefile.am: add animation_demo.py

2007-03-05  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* docs/reference/pygoocanvas-std-items.xml: fix xrefs
	* demo/Makefile.am: Add timer_demo.py and clipping_demo.py in extra_dist

2007-03-05  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* demo/clipping_demo.py: new example
	* demo/demo.py: add new example clipping_demo.py

2007-03-05  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* demo/timer_demo.py: new example (and test)

2007-03-03  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.override: fix goo_canvas_item_get_transform ()
	goo_canvas_item_model_get_transform ()

2007-03-03  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* docs/reference/*: docs fairly completed

2007-03-01  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.override: wrap goo_canvas_item_get_items_at(),
	fix goo_canvas_item_simple_get_path_bounds ()
	* docs/reference/*: some more work on docs

2007-02-28  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.override: wrap goo_canvas_get_items_at(),
	goo_canvas_get_items_in_area(), new internal function
	_glist_to_pylist_objs

2007-02-27  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.defs: modified according to 0.7.0 API change

2007-02-26  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* docs/reference/*: some more work on docs

2007-02-26  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.defs: add methods set_model() and user_bounds_to_parent()
	of goocanvas.ItemSimple

2007-02-25  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* docs/reference/*: some more work on docs

2007-02-21  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.defs: add allocate_area() and get_requested_area() methods and
	virtuals of goocanvas.Item
	* docs/reference/*: some more work on docs

2007-02-21  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* docs/reference/*: started to restructure docs after the API change

2007-02-20  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.override: wrap GooCanvasItem.install_child_property,
	GooCanvasItemModel.install_child_property as classmethods

2007-02-20  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.override: wrap GooCanvasItemModel.find_child_property,
	GooCanvasItem.list_child_properties,
	GooCanvasItemModel.list_child_properties as classmethods

=== 0.6.0 ===
2007-02-19  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* NEWS: Update.

	* demo/Makefile.am: Fix distfiles

	* configure.ac bump version to 0.6.0

2007-02-17  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.defs: add goo_canvas_item_model_set_simple_transform
	* goocanvas.override: wrap GooCanvasItem.find_child_property
	as classmethod

2007-02-17  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* configure.ac: Require goocanvas >= 0.6.

	* demo/custom-simple.py (CustomRectItem.do_simple_create_path):
	Update to new API.
	(CustomRectItem.do_button_press_event): Demonstrate catching
	button-press events by overriding a virtual function.

2007-02-17  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.defs: update with the last goocanvas changes

2007-02-13  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.defs: add GOO_CANVAS_ITEM_HIDDEN

2007-02-11  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.override: fix get_child_properties() of both Item
	and ItemModel.

2007-02-11  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* demo/table_demo.py: new example.

2007-02-11  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.override: fix set_child_properties() of both Item
	and ItemModel.

2007-02-04  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.override: fix goocanvas.get_bounds()

2007-02-04  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.override: wrap function  goo_canvas_polyline_model_new_line()
	fix goo_canvas_polyline_new_line for python-2.5.

	* goocanvas.defs: wrap function  goo_canvas_polyline_model_new_line() as
	goocanvas.polyline_model_new_line().

2007-02-03  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.override: wrap goo_canvas_item_model_get_child_properties()
	and goo_canvas_item_model_set_child_properties()

2007-02-03  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.override: wrap goo_canvas_item_get_child_properties,
	fix set_child_properties() parent->child checking.

2007-02-02  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* goocanvas.override: wrap goo_canvas_item_set_child_properties

2007-01-28  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* demo/custom-simple.py (CustomRectItem): Add note explaining how
	to modify the bounding box.

	* goocanvas.override: Add setters for bounds_x1, bounds_x2, bounds_y1,
	bounds_y2 of goocanvas.ItemSimple.  Closes LP#81992.

	* goocanvas.defs (ItemSimple): Declare bounds.x1,y1,x2,y2 fields,
	accesible from python as bounds_x1, bounds_x2, bounds_y1,
	bounds_y2 attributes.

	* goocanvas.override (_py_goo_canvas_style_set_property): Allow
	setting property values of cairo types Matrix and Pattern.
	Fixes LP#78363.

	* goocanvas.override (_py_canvas_style_get_property)
	(_py_goo_canvas_style_set_property)
	(_wrap_goo_canvas_style_get_property)
	(_wrap_goo_canvas_style_set_property, goo_canvas_style_subscript)
	(_wrap_goo_canvas_style_ass_subscript): Refactor to make
	subscripting and style methods use common code.

2006-1-21  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* demo/demo.py: some adjustments

2007-01-07  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* goocanvas.override: Implement mapping methods in
	goocanvas.Style.

	* goocanvas.override (_wrap_goo_canvas_style_set_property):
	Missing g_value_init.
	(_wrap_goo_canvas_style_set_property): Call pyg_type_from_object
	with the type, not the value.

	* goocanvas.defs (get_style_property): rename get_property to
	get_style_property.
	(set_style_property): rename set_property to set_style_property.

	* goocanvas.override (_wrap_goo_canvas_style_get_property)
	(_wrap_goo_canvas_style_set_property): Temporarily wrap
	goocanvas.Style.[gs]et_property.  Later we'll have to rename these
	methods, though, since they shadow GObject.[gs]et_property.

2007-01-01  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* demo/custom-simple.py: Add a new custom item example; this one
	is based on goocanvas.ItemSimple, and is actually a lot simpler!

2006-12-31  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* demo/custom.py: Update custom canvas item to new API.

	* goocanvas.override (_wrap_GooCanvasItem__proxy_do_get_bounds):
	Override to implement proper 'return value' semantics for the
	bounds parameter.
	(_wrap_GooCanvasItem__proxy_do_update): Idem.

	* arg-types.py (GooCanvasBoundPtrParam): Add a
	reversewrapper.Parameter handler for GooCanvasBounds*.

	* goocanvas.defs: Add missing (define-virtual ...)'s.
	(add_child): Add back the default value for position.
	(render): Add back defaults..
	(paint): Add back defaults..

	* goocanvas.defs (Item): GooCanvasItem is an interface.
	(ItemModel): Idem.

2006-12-31  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* configure.in: bump to rev. 0.5.0 and update dependencies
	* goocanvas.defs: fix Enumerations and flags (Gustavo)
	* demo/focus_demo.py: added example
	* demo/demo.py: added example

2006-12-31  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* goocanvasmodule.c (_cairo_pattern_to_gvalue): Allow pattern=None
	in properties.

2006-12-30  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* configure.in: bump to rev. 0.5.0 and update dependencies

2006-12-30  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* goocanvas.defs: fix method Canvas.pointer_grab it has to
	accept cursor = None
	demo/*: some more examples

2006-12-29  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* goocanvas.defs: fix goocanvas.LineDash
	* goocanvas.override: remove old and unused method of item_view
	* demo/*: added more examples and fix the old ones with new API

2006-12-28  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* goocanvas.defs: fix goocanvas.Points
	* goocanvas.override: fix goocanvas.Points
	* demo/demo.py: new example

2006-12-27  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* goocanvas.defs: lower and raise_ methods should accept None,
	fix function name polyline_new_line

2006-12-24  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* goocanvas.defs: regenerated with new goocanvas include files.
	* goocanvas.override: updated manually wrapped API and ignored *_new
	* demo/simple-demo.py: updated with new API
	* demo/mv-simple-demo.py: new example model-view

=== 0.4.2 ===
2006-10-29  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* goocanvas.defs: add missing goocanvas.Group.set_model method.

2006-09-19  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* docs/reference/pygoocanvas-canvas-item-view-simple.xml: More docs.

2006-09-18  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* goocanvas.defs: fix function item_view_simple_item_changed

2006-09-18  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* docs/reference/pygoocanvas-canvas-item-view.xml: More docs.

2006-09-17  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* goocanvas.defs: added missing methods of ItemView, get_transform,
	set_transform, get_combined_transform, get_item_view_at.

2006-09-17  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* docs/reference/pygoocanvas-canvas-item-simple.xml: More docs.

2006-09-16  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* docs/reference/pygoocanvas-canvas-item.xml: More docs.

2006-09-16  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* demo/arrowhead-demo.py: New large arrowhead example.

=== 0.4.1 ===
2006-09-10  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* NEWS: Update.

	* configure.ac, autogen.sh: configure.in renamed to configure.ac.
	Bump version to 0.4.1.

2006-09-09  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* goocanvasmodule.c (_cairo_pattern_to_gvalue): Fix a reference
	counting bug detected by Gonzalo Odiard.

2006-09-01  Marco Pesenti Gritti <mpg@redhat.com>

	* arg-types.py (CairoMatrixArg.write_return): return None rather
	than crashing on NULL value.

2006-08-27  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* goocanvas.override: Don't ignore
	goo_canvas_item_view_simple_item_changed, it is useful.

	* goocanvas.defs: Wrap goo_canvas_item_view_simple_item_changed as
	function, not method.

	* goocanvas.override
	(_wrap_goo_canvas_item_view_simple__set_canvas_view): Implement
	GooCanvasItemViewSimple.canvas_view setter.
	(_wrap_goo_canvas_item_view_simple__set_canvas_view): Implement
	GooCanvasItemViewSimple.parent_view setter.
	(_wrap_goo_canvas_item_view_simple__set_item): Implement
	GooCanvasItemViewSimple.item setter.
	(_wrap_goo_canvas_item_view_simple__set_flags): Implement
	GooCanvasItemViewSimple.flags setter.
	(_wrap_goo_canvas_item_view_simple__set_bounds)
	(_wrap_goo_canvas_item_view_simple__get_bounds): Implement getter
	and setter for GooCanvasItemViewSimple.bounds.

	* goocanvas.defs: Add GooCanvasItemSimple fields. Idem for
	GooCanvasItemViewSimple.

=== 0.4.0 ===
2006-08-25  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* configure.in: require pygobject 2.10.1 which is the minumum
	required version to compile without docs and change version
	to 0.4 according to goocanvas version.

2006-08-25  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* goocanvas.override (_wrap_goo_canvas_item_remove_child):
	Override and make it accept either an integer or a goocanvas.Item,
	transparently calling goo_canvas_item_find_child if necessary.

	* goocanvas.defs: Wrap goo_canvas_view_get_root_view.

2006-08-24  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* configure.in: Automatically disable docs if
	pygobject version < 2.11.3.

2006-08-24  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* docs/Makefile.am: remove $(CSS_FILES) since is not needed
	and breaks distcheck (thanks to Marco Pesenti Gritti)

	* configure.in: get rid of the gtk+ dependency, pygtk already
	takes care of that (thanks to Marco Pesenti Gritti)

2006-08-24  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* goocanvasmodule.c (initgoocanvas): Add a pygoocanvas_version
	version tuple to the module.

	* configure.in: AM_PATH_GTK_2_0 is not needed; we use pkg-config.
	Filter out -export-dynamic in $PYGOOCANVAS_LIBS.
	Require goocanvas version 0.4, now that it's out.

2006-08-23  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* goocanvas.defs (get_item_view): Wrap the new
	goo_canvas_view_get_item_view.

2006-08-17  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* docs/: add docs for CanvasModelSimple

	* goocanvas.override: ignore goo_canvas_item_view_simple_item_changed

2006-08-15  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* configure.in: we require at least pycairo 1.2.0

	* docs/Makefile.am: fix cross reference links with other docs

2006-08-15  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* demo/dashes.py: A small demo showing how to do line dashes.

	* goocanvas.override (_wrap_goo_canvas_line_dash_newv): Impl.

	* goocanvasmodule.c (initgoocanvas): Register GValue convertors
	for GOO_TYPE_CAIRO_PATTERN.

	* goocanvas.defs: Add boxed type definitions for
	GOO_TYPE_CAIRO_DASHES.

2006-08-15  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* docs/Makefile.am: fix docs build

	* configure.in: fix docs build

	* docs/reference/*.xml: more docs

2006-08-14  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* goocanvasmodule.c: fix wrong import of pycairo, thanks to
	Marco Pesenti Gritti

2006-08-14  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* goocanvas.override: goo_canvas_view_convert_from_item_space,
	goo_canvas_view_convert_to_item_space, goo_canvas_view_convert_from_pixels,
	goo_canvas_view_convert_to_pixels need to return the new value not None

2006-08-14  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* docs/Makefile.am: change css to style.css according to pygtk

2006-08-14  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* arg-types.py (BoundsPtrArg.write_param): Handle pdflt and pnull.

	* goocanvas.defs (goo_canvas_view_render): Make bounds accept
	None; make bounds and scale optional.

2006-08-12  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* goocanvas.override: wrap goo_canvas_view_convert_from_item_space,
	goo_canvas_view_convert_to_item_space, goo_canvas_view_convert_from_pixels,
	goo_canvas_view_convert_to_pixels

2006-08-10  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* docs/: imported the docs infrastructure

	* Makefile.am: added docs stuff

	* configure.in: depend from pygobject-2.11.1 to build the docs

2006-08-07  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* goocanvas.defs (raise, lower): Allow None.
	(get_item_view_at): Add goo_canvas_view_get_item_view_at.

2006-08-03  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* goocanvas.override (pygoo_canvas_bounds_tp_new): Fix bug in
	parameter parsing (should be dddd for double not ffff for float).

2006-08-05  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* goocanvas.override: remove unused variable

2006-08-05  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* demo/paths-demo.py:
	add paths-demo.py.

	* demo/Makefile.am:
	add paths-demo.py

2006-08-02  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* goocanvas.override (_wrap_goo_canvas_polyline_new_line): Fix a
	signed vs unsigned warning.

	* goocanvas.override: Ignore *_ref and *_unref APIs, that don't
	make sense in python and can cause leaks or crashes if used.

2006-07-31  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* demo/custom.py (CustomRectItem): Add a line_width parameter;
	correct the bounding box to account for half line witdth in each
	direction.  Add do_set_parent_view.

2006-07-30  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* demo/custom.py: Split the custom item in two classes: CustomItem
	is an abstract base class that makes it easy to create custom
	items; CustomRectItem is our sample item.

2006-07-25  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* demo/custom.py: A custom item example.

	* arg-types.py (GObjectReturn.write_conversion): Subclass and
	modify behaviour, instead of copy-pasting everything.

2006-07-23  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* arg-types.py (GObjectReturn): Add modified GObject* return
	handler for reverse wrappers, copied from pygtk, that allows
	returning None to return NULL in C land.

	* goocanvas.override (_wrap_GooCanvasItemView__proxy_do_paint):
	Override/impl.

	* goocanvas-argtypes.py (CairoParam.convert_c2py):
	PycairoContext_FromContext steals one cairo_t reference, need to
	call cairo_reference().

	* goocanvas.override (_wrap_GooCanvasItemView__proxy_do_update):
	Call cairo_reference() here too.

	* goocanvas.defs (PointerEvents): Changed to flags.

	* goocanvas.override (_wrap_GooCanvasItemView__do_update):
	Override and update to new signature.
	(_wrap_GooCanvasItemView__proxy_do_update): Override and update to
	new signature.

	* goocanvas.defs: goocanvas.ItemView.get_item_at was renamed to
	goocanvas.ItemView.get_item_view_at.

	* goocanvas.override (pygoo_canvas_bounds_new): Add const to
	denote that the value is copied.
	(_wrap_goo_canvas_item_view_update): Override and update to new signature.
	(_wrap_GooCanvasItemView__do_get_bounds): Override and update to new signature.
	(_wrap_GooCanvasItemView__proxy_do_get_bounds): Override and update to new signature.

	* goocanvas.defs: goo_canvas_item_view_get_item_at was removed.

	* goocanvas.override (_wrap_goo_canvas_item_view_get_bounds):
	Impl.

2006-07-15  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* goocanvas.override: Add the possibility to parse polyline
	properties with the constructor goocanvas.polyline_new_line()

2006-07-12  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* demo/features-demo.py:
	add features-demo.py.

	* demo/Makefile.am:
	add features-demo.py, fix fifteen-demo.py.

2006-07-09  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* goocanvasmodule.c (initgoocanvas): Add GType for
	GOO_CANVAS_TYPE_CAIRO_MATRIX to the goocanvas module, to be used
	when registering properties.

	* goocanvas.defs: Add gtype-id's for most of the enums (those that
	are glib-registered).
	(PointerEvents): PointerEvents is enum, not flags, apparently.

	* goocanvasmodule.c (initgoocanvas): Correct prefix in call to
	pygoocanvas_add_constants.

2006-07-08  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* arg-types.py: Add support for GooCanvasBounds* as return type in
	reverse wrappers; it leaks memory for now, until goocanvas gets
	fixed...

2006-07-07  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* goocanvas.override (_wrap_goo_canvas_polyline_new_line): Add
	this wrapper as goocanvas.polyline_new_line() and ignore
	goo_canvas_item_new

	* goocanvas.defs: renamed goo_canvas_polyline_new_line to
	polyline_new_line

	* TODO: Add support for properties to polyline_new_line()

2006-06-26  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* goocanvas.override (_wrap_goo_canvas_points_new): Add this
	wrapper, written by Gian and fixed by me.

	* arg-types.py, goocanvas.override: Add some support for
	GooCanvasBounds* parameters.  Missing the same in reverse
	wrappers..

2006-06-25  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* goocanvas.override: Correct a couple of include paths.
	(_gslist_to_pylist_objs, _gslist_to_pylist_strs): They're no
	longer used, disable them.

	* Makefile.am: Update to use new pkg-config defined variable.

	* configure.in: Merge all pkg-config checks in a single variable.

	* arg-types.py: Register argtype for cairo_t* in reverse wrapper.

	* configure.in: Add compiler flags -Wall -std=c9x and
	-fno-strict-aliasing, if supported by the compiler.  The latter
	inhibits strict aliasing which is not allowed for python
	code (python itself uses that flag).

	* acinclude.m4 (CPPFLAGS): Copy-paste JH_ADD_CFLAG macro from pygtk.

2006-06-24  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* goocanvasmodule.c: Remove the goocanvas-1.0/ part of the
	#include, it is not needed.

2006-06-23  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* demo/fifteen-demo.py:
	completed the fifteen-demo example, now is fully working.

2006-06-22  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* demo/fifteen-demo.py:
	added signals and callbacks to fifteen-demo.py example, now you can move
	the objects.

2006-06-21  Gian Mario Tagliaretti  <g.tagliaretti@parafenalia.org>

	* demo/Makefile.am:
	added fifteen-demo.py example, not finished but working
	* demo/fifteen-demo.py:
	added fifteen-demo.py example, not finished but working
	* AUTHORS:
	added Edward Hervey

2006-06-18  Edward Hervey  <edward@fluendo.com>

	* Makefile.am:
	goocanvas.c now needs arg-types.py
	* arg-types.py:
	New file for definitions of argument types to be generated by the
	codegenerator : CairoMatrixArg for cairo_matrix_t*.
	* goocanvas.override:
	Remove overrides for methods now codegenerated.
